#-- Lattice Semiconductor Corporation Ltd.
#-- Synplify OEM project file

#device options
set_option -technology LATTICE-ECP3
set_option -part LFE3_35EA
set_option -package FN484C
set_option -speed_grade -8

#compilation/mapping options
set_option -symbolic_fsm_compiler true
set_option -resource_sharing true

#use verilog 2001 standard option
set_option -vlog_std v2001

#map options
set_option -frequency 200
set_option -fanout_limit 100
set_option -auto_constrain_io true
set_option -disable_io_insertion false
set_option -retiming false; set_option -pipe false
set_option -force_gsr false
set_option -compiler_compatible true
set_option -dup false


set_option -default_enum_encoding default

#simulation options
set_option -write_verilog true
set_option -write_vhdl true

#timing analysis options
set_option -num_critical_paths 3
set_option -num_startend_points 0

#automatic place and route (vendor) options
set_option -write_apr_constraint 0

#synplifyPro options
set_option -fixgatedclocks 3
set_option -fixgeneratedclocks 3
set_option -update_models_cp 0
set_option -resolve_multiple_driver 1

#-- add_file options
set_option -include_path {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise}
add_file -verilog {C:/lscc/diamond/1.2/cae_library/synthesis/verilog/ecp3.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/adcif.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_dp.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_dpfifodc.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_mspi.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_rctrl.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_top.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/dumpmem_wctrl.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/jtag_interface.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/orcastra.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/tsw1405_reset.v}
add_file -verilog {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/source/TSW1405.v}


#-- set result format/file last
project -result_file {C:/Documents and Settings/a0840029/Desktop/TSW1405 1ch_bit_wise/TSW1405_1ch_bit_wise/TSW1405_1ch_bit_wise_TSW1405_1ch_bit_wise.edi}

#-- error message log file
project -log_file {TSW1405_1ch_bit_wise_TSW1405_1ch_bit_wise.srf}

#-- set any command lines input by customer


#-- run Synplify with 'arrange HDL file'
project -run
