//============================================================================
//
//This confidential and proprietary software may be used only as authorized
//by a licensing agreement from Texas Instruments, US.
//
//     In the event of publication, the following notice is applicable:
//
//                        (C) COPYRIGHT 2009 TI
//                          ALL RIGHTS RESERVED
//
// Entire notice above must be reproduced on all authorized copies.
//
//
// Title:      %M%
// Version:    %I%
// Date:       %G%
// Author:     Hamza Fraz edited to read 8 banks of FIFO by Richard Prentice
//============================================================================

//does almost empty go active one sample before empty?
// upon read start, start with first FIFO.
// take OE FIFO from SPI Cntrl and issue ber_FIFO
// when FIFO empty shift to next FIFO.  When all empty, no more read.
//

module dumpmem_rctrl(
input				clk,

input			[7:0]	empty_fifo,
input			[7:0]	aempty_fifo,
input				rstart_p,
input				oe_fifo,

output	reg	[7:0]	ber_fifo
);

//-----------------------------------------------------------------------------

reg				rinc_fifo;
reg				rinc_fifo_r;
reg		[7:0]		be_fifo_m1_r;
reg		[7:0]		be_fifo_m1;
reg				rstart_pr;

//-----------------------------------------------------------------------------

wire		[7:0]		empty_fifo_p;

//-----------------------------------------------------------------------------

always @(posedge clk)
begin
	rstart_pr <= rstart_p;
end

always @(posedge clk)
begin
	if(rstart_pr)
		be_fifo_m1_r <= 4'b00000001;
	else if(rinc_fifo_r)
		be_fifo_m1_r <= be_fifo_m1;
end

//-----------------------------------------------------------------------------

always @(*)
begin
	be_fifo_m1 = be_fifo_m1_r << 1;
end

//-----------------------------------------------------------------------------

assign	empty_fifo_p = aempty_fifo & {8{oe_fifo}} & ~empty_fifo;

always @(empty_fifo_p)
begin
	rinc_fifo = |empty_fifo_p;
end

//-----------------------------------------------------------------------------

always @(posedge clk)
begin
	rinc_fifo_r <= rinc_fifo;
end

//-----------------------------------------------------------------------------

always @(*)
begin
	ber_fifo = be_fifo_m1_r;
end

//-----------------------------------------------------------------------------

endmodule
