//============================================================================
//
//This confidential and proprietary software may be used only as authorized
//by a licensing agreement from Texas Instruments, US.
//
//     In the event of publication, the following notice is applicable:
//
//                        (C) COPYRIGHT 2009 TI
//                          ALL RIGHTS RESERVED
//
// Entire notice above must be reproduced on all authorized copies.
//
//
// Title:      %M%
// Version:    %I%
// Date:       %G%
// Author:     Hamza Fraz
//============================================================================



module dumpmem_dp(
input	[15:0]	Data,
input			WrClock,
input			RdClock,
input			WrEn,
input			RdEn,
input			Reset,
input			RPReset,
output	[15:0]	Q,
output			Empty,
output			Full,
output			AlmostEmpty,
output			AlmostFull
	);

//-----------------------------------------------------------------------------
//
//wire		[15:0]	Q0;
//wire		[15:0]	Q1;
//wire				Full0;
//wire				Empty0;
//wire				WrEn0;
//wire				RdEn0;
//wire				WrEn1;
//wire				RdEn1;
//
//-----------------------------------------------------------------------------
//
//reg					RdEn0_r;
//reg					RdEn0_d1_r;
//
//-----------------------------------------------------------------------------

dumpmem_dpfifodc dumpmem_dpfifodc_inst(
			.Data			(Data),
			.WrClock		(WrClock),
			.RdClock		(RdClock),
			.WrEn			(WrEn),
			.RdEn			(RdEn),
			.Reset			(Reset | RPReset),
			.RPReset		(RPReset),
			.Q				(Q),
			.Empty			(Empty),
			.Full			(Full),
			.AlmostEmpty	(AlmostEmpty),
			.AlmostFull		(AlmostFull)
			);

//
//always @(posedge RdClock)
//begin
//	RdEn0_r	<= RdEn0;
//	RdEn0_d1_r	<= RdEn0_r;
//end
//
//-----------------------------------------------------------------------------
//
//assign	WrEn0	= WrEn & ~Full0;
//assign	RdEn0	= RdEn & ~Empty0;
//assign	WrEn1	= WrEn &  Full0;
//assign	RdEn1	= RdEn &  Empty0;
//assign	Q	= RdEn0_d1_r ? Q0	:Q1;
//
//-----------------------------------------------------------------------------

endmodule
