//============================================================================
//
//This confidential and proprietary software may be used only as authorized
//by a licensing agreement from Texas Instruments, US.
//
//     In the event of publication, the following notice is applicable:
//
//                        (C) COPYRIGHT 2009 TI
//                          ALL RIGHTS RESERVED
//
// Entire notice above must be reproduced on all authorized copies.
//
//
// Title:      %M%
// Version:    %I%
// Date:       %G%
// Author:     Hamza Fraz, Richard Prentice
//============================================================================


module dumpmem_top(
input			clk_adc,
input			clk_sys,
input			clk_spi,
input			reset_n,

	// following signals are synchonous to clk_adc
input	[15:0]	din_fifo1,	// 
input	[15:0]	din_fifo2,	// 
input	[15:0]	din_fifo3,	// 
input	[15:0]	din_fifo4,	// 
input	[15:0]	din_fifo5,	// 
input	[15:0]	din_fifo6,	// 
input	[15:0]	din_fifo7,	// 
input	[15:0]	din_fifo8,	// 

	// following signals are synchonous to clk_sys
output	[1:0]	cap_depth,
output	[2:0]	cap_format,
output	[7:0]	cap_chans,
output			inv_data,
output			inv_clk,
output			lsb_first,
output			SW_reset,


	// following signals are synchonous to clk_spi
input			mosi,
input			spi_ss,
output			miso
	);

//-----------------------------------------------------------------------------

wire   	[7:0] 		R0, R1, R2, R3, R4, R5, R6, R7, R8, R9, RA, RB, RC, RD, RE, RF;
wire	[7:0]		flush_FIFO;
wire	[3:0]		mode;
wire				done;
wire				we_fifo;
//wire	[1:0]		cap_depth;
//wire	[2:0]		cap_format;
//wire	[7:0]		cap_chans;
//wire				inv_data;
//wire				inv_clk;
//wire				lsb_first;
//wire				SW_reset;
wire	[15:0]		dout_fifo1;


//-----------------------------------------------------------------------------

dumpmem dumpmem_inst(
		.clk_adc		(clk_adc),
		.clk_sys		(clk_sys),
		.clk_spi		(clk_spi),
		.reset_n		(reset_n),

	// following signals are synchonous to clk_adc
		.din_fifo1		(din_fifo1),
		.din_fifo2		(din_fifo2),
		.din_fifo3		(din_fifo3),
		.din_fifo4		(din_fifo4),
		.din_fifo5		(din_fifo5),
		.din_fifo6		(din_fifo6),
		.din_fifo7		(din_fifo7),
		.din_fifo8		(din_fifo8),

	// following signals are synchonous to clk_sys

		.cap_depth		(cap_depth),
		.cap_format		(cap_format),
		.cap_chans		(cap_chans),
		.inv_data		(inv_data),
		.inv_clk		(inv_clk),
		.lsb_first		(lsb_first),
		.flush_fifo		(flush_FIFO),
		.we_fifo		(we_fifo),
		.mode			(mode),
		.done			(done),
		.dout_fifo1		(dout_fifo1),

		.spi_ss			(spi_ss),
		.mem_miso		(miso)
	);

//-----------------------------------------------------------------------------

jtag_interface jtag_interface_inst
	(	.rstn_i			(reset_n),
		.sys_clk_i			(clk_sys),
		.done				(done),
		.dout_fifo1			(dout_fifo1),
		.ctrl0_r			(R0),
		.ctrl1_r			(R1),
		.ctrl2_r			(R2),
		.ctrl3_r			(R3),
		.ctrl4_r			(R4),
		.ctrl5_r			(R5),
		.ctrl6_r			(R6),
		.ctrl7_r			(R7),
		.ctrl8_r			(R8),
		.ctrl9_r			(R9),
		.ctrlA_r			(RA),
		.ctrlB_r			(RB),
		.ctrlC_r			(RC),
		.ctrlD_r			(RD),
		.ctrlE_r			(RE),
		.ctrlF_r			(RF)
	);

assign	cap_depth	=	R3[1:0];
assign	cap_format	=	R4[2:0];
assign	cap_chans	=	R5;
assign	inv_data	=	R6[0];
assign	inv_clk		=	R6[1];
assign	lsb_first	=	R6[2];
assign	SW_reset	=	R0[7];
assign	flush_FIFO	=	R0;
assign	we_fifo		=	R2;
assign	mode		=	4'b0010;


//-----------------------------------------------------------------------------

endmodule
